# The Red Matrix: RedBasicAuth Class Reference

All Classes Namespaces Files Functions Variables Pages
RedBasicAuth Class Reference
Inheritance diagram for RedBasicAuth:

## Public Member Functions

| setCurrentUser ($name)
| setBrowserPlugin ($browser)
| Set browser plugin. More...
| log ()

## Public Attributes

| $channel_name = ''
| $channel_id = 0
| $channel_hash = ''
| $observer = ''
| $browser
| $owner_id
| $owner_nick = ''
| $timezone

## Protected Member Functions

| validateUserPass ($username, $password)

## Detailed Description

RedBasicAuth class.

## Member Function Documentation

RedBasicAuth::log | ( |  | ) |

RedBasicAuth::setBrowserPlugin | ( |  | $browser | ) |

Set browser plugin.

See Also
  RedBrowser::set_writeable()

Parameters

  DAV\Browser\Plugin | $browser |

RedBasicAuth::setCurrentUser | ( |  | $name | ) |

RedBasicAuth::validateUserPass | ( |  | $username,
|  |  | $password
| ) |  |

protected

Parameters

  string | $username |
  string | $password |

## Member Data Documentation

RedBasicAuth::$browser

Referenced by setBrowserPlugin().

RedBasicAuth::$channel_hash = ''

RedBasicAuth::$channel_id = 0

RedBasicAuth::$channel_name = ''

RedBasicAuth::$observer = ''

RedBasicAuth::$owner_id

RedBasicAuth::$owner_nick = ''

RedBasicAuth::$timezone

The documentation for this class was generated from the following file:

- include/reddav.php